# Visualization
TKV3d
Graphic3d

# Graphic3d_VertexNT Class Reference

This class allows the creation and update of
a vertex with a 3D normal and texture coordinate.
.

`#include <Graphic3d_VertexNT.hxx>`

Inheritance diagram for Graphic3d_VertexNT:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Graphic3d_VertexNT ()
| Creates a point with 0.0, 0.0, 0.0 coordinates for which the normal is 0.0, 0.0, 1.0. texture coordinate is 0.0, 0.0. .
Standard_EXPORT | Graphic3d_VertexNT (const Standard_Real AX, const Standard_Real AY, const Standard_Real AZ, const Standard_Real ANX, const Standard_Real ANY, const Standard_Real ANZ, const Standard_Real ATX, const Standard_Real ATY=0.0, const Standard_Boolean FlagNormalise=Standard_True)
| Creates a point with coordinates <ax>, <ay>, <az> and for which the normal is <anx>, <any>, <anz>, texture coordinate is <atx>, <aty>. If <flagnormalise> is True the normal is already normalised Else the normal is not normalised, the graphic do it. .
Standard_EXPORT | Graphic3d_VertexNT (const Graphic3d_Vertex &APoint, const Graphic3d_Vector &AVector, const Standard_Real ATX, const Standard_Real ATY=0.0, const Standard_Boolean FlagNormalise=Standard_True)
| Creates a point in <apoint> for which the normal is <avector>. <atx>, <aty> are texture coordinate. If <flagnormalise> is True the normal is already normalised Else the normal is not normalised, the graphic do it. .
Standard_EXPORT void | SetTextureCoordinate (const Standard_Real ATX, const Standard_Real ATY=0.0)
| Modifies the texture coordinate to the point <me>. .
Standard_EXPORT void | TextureCoordinate (Standard_Real &ATX, Standard_Real &ATY) const
| Returns the texture coordinate to the point <me>. .

## Private Attributes

Standard_Real | MyTX
Standard_Real | MyTY

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_VertexNT::Graphic3d_VertexNT | ( |  | ) |

Standard_EXPORT Graphic3d_VertexNT::Graphic3d_VertexNT | ( | const Standard_Real | AX,
|  | const Standard_Real | AY,
|  | const Standard_Real | AZ,
|  | const Standard_Real | ANX,
|  | const Standard_Real | ANY,
|  | const Standard_Real | ANZ,
|  | const Standard_Real | ATX,
|  | const Standard_Real | ATY = `0.0`,
|  | const Standard_Boolean | FlagNormalise = `Standard_True`
| ) |

Standard_EXPORT Graphic3d_VertexNT::Graphic3d_VertexNT | ( | const Graphic3d_Vertex & | APoint,
|  | const Graphic3d_Vector & | AVector,
|  | const Standard_Real | ATX,
|  | const Standard_Real | ATY = `0.0`,
|  | const Standard_Boolean | FlagNormalise = `Standard_True`
| ) |

## Member Function Documentation

void Graphic3d_VertexNT::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Graphic3d_VertexN.

void* Graphic3d_VertexNT::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Graphic3d_VertexN.

void* Graphic3d_VertexNT::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Graphic3d_VertexN.

Standard_EXPORT void Graphic3d_VertexNT::SetTextureCoordinate | ( | const Standard_Real | ATX,
|  | const Standard_Real | ATY = `0.0`
| ) |

Standard_EXPORT void Graphic3d_VertexNT::TextureCoordinate | ( | Standard_Real & | ATX,
|  | Standard_Real & | ATY
| ) | const

## Field Documentation

Standard_Real Graphic3d_VertexNT::MyTX `[private]`

Standard_Real Graphic3d_VertexNT::MyTY `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_VertexNT.hxx